<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myVehicleRegistrationLabel" jhiTranslate="mpmApp.vehicleRegistration.home.createOrEditLabel">Create or edit a Vehicle Registration</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!vehicleRegistration.idRequirement">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="vehicleRegistration.idRequirement" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleRegistration.requirementNumber" for="field_requirementNumber">Requirement Number</label>
                    <input type="text" class="form-control" name="requirementNumber" id="field_requirementNumber"
                        [(ngModel)]="vehicleRegistration.requirementNumber" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleRegistration.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="vehicleRegistration.description" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleRegistration.dateCreate" for="field_dateCreate">Date Create</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="vehicleRegistration.dateCreate"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleRegistration.dateRequired" for="field_dateRequired">Date Required</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateRequired" name="input_dateRequired" [(ngModel)]="vehicleRegistration.dateRequired"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleRegistration.note" for="field_note">Note</label>
                    <input type="text" class="form-control" name="note" id="field_note"
                        [(ngModel)]="vehicleRegistration.note" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleRegistration.bbn" for="field_bbn">Bbn</label>
                    <input currencyMask class="form-control" name="bbn" id="field_bbn"
                        [(ngModel)]="vehicleRegistration.bbn"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleRegistration.otherCost" for="field_otherCost">Other Cost</label>
                    <input currencyMask class="form-control" name="otherCost" id="field_otherCost"
                        [(ngModel)]="vehicleRegistration.otherCost"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>

                <div class="form-group" *ngIf="idInternal === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleRegistration.internal" for="field_internal">Internal</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="vehicleRegistration.internalId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idBillTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleRegistration.billTo" for="field_billTo">Bill To</label>
                    <select class="form-control" id="field_billTo" name="billTo" [(ngModel)]="vehicleRegistration.billToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idVendor === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleRegistration.vendor" for="field_vendor">Vendor</label>
                    <select class="form-control" id="field_vendor" name="vendor" [(ngModel)]="vehicleRegistration.vendorId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="vendorOption.idVendor" *ngFor="let vendorOption of vendors; trackBy: trackVendorById">{{vendorOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
